底图椭圆

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Ellipse and the translation is 36% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Arc.svg Arc
Next: Polygon Draft Polygon.svg Arrow-right.svg

Draft Ellipse.svg Draft Ellipse

Menu location
Draft → Ellipse
Workbenches
Draft, Arch
Default shortcut
E L
Introduced in version
0.7
See also
Draft Circle, Draft Arc


描述

椭圆工具会根据用户输入的两个点,在当前的工作平面内创建一个椭圆。该椭圆将恰好适配于这两个矩形角点所定义的矩形盒中。另外,此工具将根据Draft Tray中的Draft Linestyle设置来绘制椭圆。

此工具也可用于创建椭圆弧,此时还要指定弧的起始角度与结束角度。而要创建圆与圆弧则可采用底图圆形工具与底图弧形工具。另外,您还可以通过底图B样条底图贝塞尔曲线工具来创建近似的椭圆弧与圆弧。

Draft ellipse example.jpg

通过矩形角点所定义的椭圆


如何使用

  1. 按下Draft Ellipse.png Draft Ellipse按钮,或先按E键再按L键。
  2. 在3D视图中点击第一个点,或输入一个 坐标并按下Draft AddPoint.svg add point按钮。
  3. 在3D视图中点击第二个点,或输入一个坐标并按下Draft AddPoint.svg add point按钮。

创建椭圆之后,通过将其第一角度(first angle)与最后角度(last angle)两个属性设置为不同值,便可以将它转换为一条椭圆弧。

选项

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the Draft AddPoint.svg add point button when you have the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Ellipse tool will restart after you finish the shape, allowing you to draw another one without pressing the tool button again.
  • Press L or click the checkbox to toggle filled mode. If filled mode is on, the ellipse will create a filled face (DATAMake Face True); if not, the ellipse will not make a face (DATAMake Face False).
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Esc or the Close button to abort the current command.

Properties

An Ellipse object shares many properties with a Draft Circle, but some properties only make sense for the ellipse.

Data

  • DATAFirst Angle: specifies the angle of the first point of the ellipse; normally 0°.
  • DATALast Angle: specifies the angle of the last point of the ellipse; normally 0°.
  • DATAMajor Radius: specifies the major radius of the ellipse.
  • DATAMinor Radius: specifies the minor radius of the ellipse.
If the both radius have the same value, the ellipse looks the same as a Draft Circle.
  • DATAMake Face: specifies if the Ellipse makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object. This property only works if the shape is a full ellipse.
For it to be a full ellipse DATAFirst Angle and DATALast Angle should have the same value; otherwise, an elliptical arc is displayed. The values 0° and 360° are considered the same.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Ellipse tool can by used in macros and from the Python console by using the following function:

Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
  • Creates an Ellipse object with given major (majradius) and minor (minradius) radius in millimeters.
    • The bigger value will be used for the major radius (X axis) if no other placement is given.
  • If a placement is given, it is used; otherwise the shape is created at the origin.
  • If face is True, the ellipse will make a face, that is, it will appear filled.

Example:

import FreeCAD, Draft

Ellipse1 =  Draft.makeEllipse(3000, 200)
Ellipse2 =  Draft.makeEllipse(700, 1000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Ellipse3 =  Draft.makeEllipse(700, 1000, placement=place3)
Arrow-left.svg Previous: Draft Arc.svg Arc
Next: Polygon Draft Polygon.svg Arrow-right.svg